import { TemplateRef } from '@angular/core';
import { SchedulingObject } from '../../../hour-scheduling/model/enum/scheduling-object.interface';
export declare class HourSchedulingExpandableTemplateComponent {
    private _objects;
    layouts: {
        leftPercent: number;
        widthPercent: number;
    }[];
    objectTemplate: TemplateRef<any>;
    set objects(objects: SchedulingObject[]);
    get objects(): SchedulingObject[];
    onDragStartCustom: Function;
    onResizeStart: Function;
    onSelectBlock: Function;
    startTimeProp: string;
    endTimeProp: string;
    showClass(): boolean;
    onExpandableDragStart(event: DragEvent, obj: Object, onDragStartCustom: Function): void;
    calculateLeftAndWidthOfObjects(): {
        leftPercent: number;
        widthPercent: number;
    }[];
}
